Bug 57981 - Require a minimum of Java 7
Summary: Require a minimum of Java 7
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: unspecified
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-01 14:02 UTC by Sebb
Modified: 2016-04-02 08:18 UTC (History)
3 users (show)



Attachments
Remove explicit types (282.84 KB, patch)
2015-08-22 21:29 UTC, Graham Russell
Details | Diff
Replaced some while loops with foreach (6.68 KB, patch)
2015-08-23 12:14 UTC, Graham Russell
Details | Diff
Old for loop to for each loops (part 1) (11.12 KB, patch)
2015-08-23 21:39 UTC, Graham Russell
Details | Diff
Old for loop to for each loops (part 2) (21.41 KB, patch)
2015-08-23 22:50 UTC, Graham Russell
Details | Diff
Convert old style for loop into for each loops (part 3) (42.99 KB, patch)
2015-08-24 20:20 UTC, Graham Russell
Details | Diff
Convert old style for loop into for each loops (part 4) (33.71 KB, patch)
2015-08-24 21:54 UTC, Graham Russell
Details | Diff
Convert old style for loop into for each loops (part 5) (17.83 KB, patch)
2015-08-24 21:54 UTC, Graham Russell
Details | Diff
Convert old style for loop into for each loops (part 6) (18.89 KB, patch)
2015-08-24 21:55 UTC, Graham Russell
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2015-06-01 14:02:24 UTC
[Placeholder issue for updates related to Java 7 migration]

As per

http://mail-archives.apache.org/mod_mbox/jmeter-dev/201506.mbox/%3CCAOGo0VaH_DgR86cOzbOa-X%2BjBYJhs9K%2BAsPpNF2DXD%3DzYvS4BA%40mail.gmail.com%3E

et seq. JMeter should be updated to require a minimum of Java 7.

This allows simplifications in respect of:

- keytool
- Javadoc CVE-2013-1571
- We can drop the thread local random class.
- A few compile warnings in respect to generics can be fixed.

etc.

Some new generics warnings will need to be fixed (e.g. JComboBox is now generic)
Comment 1 Sebb 2015-06-01 17:48:30 UTC
URL: http://svn.apache.org/r1682926
Log:
Require a minimum of Java 7
Fix build file
Bugzilla Id: 57981

Modified:
    jmeter/trunk/build.xml
    jmeter/trunk/xdocs/changes.xml
Comment 2 Sebb 2015-06-01 17:49:28 UTC
Note: also had to change Jenkins and Buildbot:

https://svn.apache.org/repos/infra/infrastructure/buildbot/aegis/buildmaster/master1/projects/jmeter.conf
Comment 3 Sebb 2015-06-01 18:03:34 UTC
URL: http://svn.apache.org/r1682964
Log:
Update to Java 7
JComboBox is now generic
Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/assertions/gui/HTMLAssertionGui.java
    jmeter/trunk/src/components/org/apache/jmeter/control/gui/ThroughputControllerGui.java
    jmeter/trunk/src/components/org/apache/jmeter/extractor/gui/HtmlExtractorGui.java
    jmeter/trunk/src/components/org/apache/jmeter/sampler/gui/TestActionGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/MailerVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RespTimeGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/ViewResultsFullVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/BackendListenerGui.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/ComboStringEditor.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/EnumEditor.java
    jmeter/trunk/src/core/org/apache/jmeter/util/JMeterUtils.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/GuiUtils.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/JLabeledChoice.java
    jmeter/trunk/src/junit/org/apache/jmeter/protocol/java/control/gui/ClassFilter.java
    jmeter/trunk/src/junit/org/apache/jmeter/protocol/java/control/gui/JUnitTestSamplerGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/gui/HttpTestSampleGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/AuthPanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/CookiePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/config/gui/JavaConfigGui.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/control/gui/JMSPropertiesPanel.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/control/gui/JMSSamplerGui.java
Comment 4 Sebb 2015-06-01 18:23:30 UTC
URL: http://svn.apache.org/r1682966
Log:
Update to Java 7
ThreadLocalRandom now part of JVM
Bugzilla Id: 57981

Removed:
    jmeter/trunk/src/core/org/apache/jmeter/util/ThreadLocalRandom.java
Modified:
    jmeter/trunk/src/components/org/apache/jmeter/control/RandomController.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/Random.java


URL: http://svn.apache.org/r1682969
Log:
Update to Java 7
No need to check for earlier version of keytool
Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/jorphan/org/apache/jorphan/exec/KeyToolUtils.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/ProxyControl.java
Comment 5 Sebb 2015-06-01 18:37:09 UTC
RL: http://svn.apache.org/r1682972
Log:
Update to Java 7
Can now use Multi-Catch
Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
Comment 6 Philippe Mouawad 2015-06-13 20:41:49 UTC
Date: Sat Jun 13 20:41:23 2015
New Revision: 1685327

URL: http://svn.apache.org/r1685327
Log:
Bug 57981 - Require a minimum of Java 7
Bugzilla Id: 57981

Modified:
    jmeter/trunk/xdocs/changes.xml
Comment 7 Graham Russell 2015-08-22 21:29:14 UTC
Created attachment 33026 [details]
Remove explicit types

I've attached a patch to remove the explicit generic types - I hope this is the right place, or should I raise a new issue? I'd also like to submit some more regarding multiple catch, try with resources and for each loop (even though this was Java 6).
Comment 8 Felix Schumacher 2015-08-23 10:52:10 UTC
Thanks for the patch.

I would have liked it better in smaller parts, since I could then review the changes in smaller pieces, too.

Date: Sun Aug 23 10:39:36 2015
New Revision: 1697162

URL: http://svn.apache.org/r1697162
Log:
Remove explicit types. Patch from Graham Russel.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/assertions/CompareAssertion.java
    jmeter/trunk/src/components/org/apache/jmeter/assertions/CompareAssertionBeanInfo.java
    jmeter/trunk/src/components/org/apache/jmeter/assertions/SMIMEAssertion.java
    jmeter/trunk/src/components/org/apache/jmeter/control/CriticalSectionController.java
    jmeter/trunk/src/components/org/apache/jmeter/control/IncludeController.java
    jmeter/trunk/src/components/org/apache/jmeter/control/ModuleController.java
    jmeter/trunk/src/components/org/apache/jmeter/control/RandomOrderController.java
    jmeter/trunk/src/components/org/apache/jmeter/extractor/DebugPostProcessor.java
    jmeter/trunk/src/components/org/apache/jmeter/extractor/HtmlExtractor.java
    jmeter/trunk/src/components/org/apache/jmeter/extractor/RegexExtractor.java
    jmeter/trunk/src/components/org/apache/jmeter/extractor/XPathExtractor.java
    jmeter/trunk/src/components/org/apache/jmeter/modifiers/UserParameters.java
    jmeter/trunk/src/components/org/apache/jmeter/modifiers/gui/UserParametersGui.java
    jmeter/trunk/src/components/org/apache/jmeter/reporters/MailerModel.java
    jmeter/trunk/src/components/org/apache/jmeter/sampler/DebugSampler.java
    jmeter/trunk/src/components/org/apache/jmeter/sampler/TestAction.java
    jmeter/trunk/src/components/org/apache/jmeter/timers/ConstantThroughputTimer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/PropertyControlGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderAsCssJQuery.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderAsRegexp.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderAsXPath.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RequestPanel.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RespTimeGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphProperties.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SummaryReport.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/ViewResultsFullVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/AbstractBackendListenerClient.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/BackendListener.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/BackendListenerGui.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/graphite/AbstractGraphiteMetricsSender.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/graphite/GraphiteBackendListenerClient.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/graphite/PickleGraphiteMetricsSender.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/graphite/SocketOutputStreamPoolFactory.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/backend/graphite/TextGraphiteMetricsSender.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/utils/Colors.java
    jmeter/trunk/src/core/org/apache/jmeter/JMeter.java
    jmeter/trunk/src/core/org/apache/jmeter/NewDriver.java
    jmeter/trunk/src/core/org/apache/jmeter/config/Arguments.java
    jmeter/trunk/src/core/org/apache/jmeter/control/GenericController.java
    jmeter/trunk/src/core/org/apache/jmeter/control/TransactionSampler.java
    jmeter/trunk/src/core/org/apache/jmeter/engine/DistributedRunner.java
    jmeter/trunk/src/core/org/apache/jmeter/engine/StandardJMeterEngine.java
    jmeter/trunk/src/core/org/apache/jmeter/engine/TreeCloner.java
    jmeter/trunk/src/core/org/apache/jmeter/engine/util/CompoundVariable.java
    jmeter/trunk/src/core/org/apache/jmeter/engine/util/FunctionParser.java
    jmeter/trunk/src/core/org/apache/jmeter/engine/util/ValueReplacer.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/GUIFactory.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/GuiPackage.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/MainFrame.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/SavePropertyDialog.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/UndoHistory.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/AboutCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ActionRouter.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/AddParent.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/AddToTree.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Analyze.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ChangeLanguage.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ChangeParent.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/CheckDirty.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Clear.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Close.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/CollapseExpand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Copy.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/CreateFunctionDialog.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Cut.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Duplicate.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/EditCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/EnableComponent.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ExitCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Help.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Load.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/LoadRecentProject.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/LoggerPanelEnableDisable.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/LookAndFeelCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Move.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Paste.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/RemoteStart.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Remove.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ResetSearchCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/RevertProject.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/SSLManagerCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Save.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/SaveGraphics.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeDialog.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/Start.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/StopStoppables.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/TemplatesCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ToolBar.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/UndoCommand.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/What.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/template/TemplateManager.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/tree/JMeterTreeModel.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/tree/JMeterTreeNode.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/tree/JMeterTreeTransferHandler.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/FileListPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/FilePanelEntry.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JLabeledRadioI18N.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterToolBar.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/MenuFactory.java
    jmeter/trunk/src/core/org/apache/jmeter/reporters/AbstractListenerElement.java
    jmeter/trunk/src/core/org/apache/jmeter/reporters/FileReporter.java
    jmeter/trunk/src/core/org/apache/jmeter/reporters/ResultCollector.java
    jmeter/trunk/src/core/org/apache/jmeter/reporters/Summariser.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/AsynchSampleSender.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/BatchSampleSender.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/Entry.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/HoldSampleSender.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/SampleResult.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/StatisticalSampleSender.java
    jmeter/trunk/src/core/org/apache/jmeter/save/CSVSaveService.java
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
    jmeter/trunk/src/core/org/apache/jmeter/save/converters/ConversionHelp.java
    jmeter/trunk/src/core/org/apache/jmeter/save/converters/TestResultWrapperConverter.java
    jmeter/trunk/src/core/org/apache/jmeter/services/FileServer.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/TestBeanHelper.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/ComboStringEditor.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/TableEditor.java
    jmeter/trunk/src/core/org/apache/jmeter/testbeans/gui/TestBeanGUI.java
    jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractScopedTestElement.java
    jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractTestElement.java
    jmeter/trunk/src/core/org/apache/jmeter/testelement/TestPlan.java
    jmeter/trunk/src/core/org/apache/jmeter/testelement/VariablesCollection.java
    jmeter/trunk/src/core/org/apache/jmeter/testelement/property/CollectionProperty.java
    jmeter/trunk/src/core/org/apache/jmeter/threads/FindTestElementsUpToRootTraverser.java
    jmeter/trunk/src/core/org/apache/jmeter/threads/JMeterContext.java
    jmeter/trunk/src/core/org/apache/jmeter/threads/JMeterThread.java
    jmeter/trunk/src/core/org/apache/jmeter/threads/JMeterVariables.java
    jmeter/trunk/src/core/org/apache/jmeter/threads/RemoteThreadsListenerImpl.java
    jmeter/trunk/src/core/org/apache/jmeter/threads/TestCompiler.java
    jmeter/trunk/src/core/org/apache/jmeter/threads/ThreadGroup.java
    jmeter/trunk/src/core/org/apache/jmeter/util/JMeterUtils.java
    jmeter/trunk/src/core/org/apache/jmeter/util/JSR223BeanInfoSupport.java
    jmeter/trunk/src/core/org/apache/jmeter/util/JsseSSLManager.java
    jmeter/trunk/src/core/org/apache/jmeter/util/PropertiesBasedPrefixResolver.java
    jmeter/trunk/src/core/org/apache/jmeter/util/keystore/JmeterKeyStore.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/AbstractHostIPName.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/BeanShell.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/CSVRead.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/CharFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/EscapeHtml.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/EscapeOroRegexpChars.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/EvalFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/EvalVarFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/FileRowColContainer.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/FileToString.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/FileWrapper.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/IntSum.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/IterationCounter.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/JavaScript.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/Jexl2Function.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/JexlFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/LogFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/LogFunction2.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/LongSum.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/Property.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/Property2.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/Random.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/RandomString.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/RegexFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/SamplerName.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/SetProperty.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/SplitFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/StringFromFile.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/TestPlanName.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/ThreadNumber.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/TimeFunction.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/UnEscape.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/UnEscapeHtml.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/UrlDecode.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/UrlEncode.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/Uuid.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/Variable.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/XPath.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/XPathWrapper.java
    jmeter/trunk/src/jorphan/org/apache/commons/cli/avalon/CLArgsParser.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/collections/Data.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/collections/HashTree.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/collections/ListedHashTree.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/collections/SearchByClass.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/exec/KeyToolUtils.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/AbstractTreeTableModel.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/GuiUtils.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/JLabeledChoice.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/JLabeledTextArea.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/JLabeledTextField.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/ObjectTableModel.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/math/StatCalculator.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/ClassFinder.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/util/JOrphanUtils.java
    jmeter/trunk/src/junit/org/apache/jmeter/protocol/java/control/gui/JUnitTestSamplerGui.java
    jmeter/trunk/src/monitor/components/org/apache/jmeter/visualizers/MonitorAccumModel.java
    jmeter/trunk/src/monitor/components/org/apache/jmeter/visualizers/MonitorHealthPanel.java
    jmeter/trunk/src/monitor/components/org/apache/jmeter/visualizers/MonitorPerformancePanel.java
    jmeter/trunk/src/monitor/model/org/apache/jmeter/monitor/model/StatusImpl.java
    jmeter/trunk/src/monitor/model/org/apache/jmeter/monitor/model/WorkersImpl.java
    jmeter/trunk/src/monitor/model/org/apache/jmeter/monitor/parser/MonitorHandler.java
    jmeter/trunk/src/protocol/ftp/org/apache/jmeter/protocol/ftp/sampler/FTPSampler.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/AuthManager.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/CookieManager.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/DNSCacheManager.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/HC4CookieHandler.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/HeaderManager.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/HttpMirrorServer.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/HttpMirrorThread.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/KerberosManager.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/CookiePanel.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/modifier/AnchorModifier.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/modifier/RegExUserParameters.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/modifier/UserParameterXMLContentHandler.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/modifier/UserSequence.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/parser/HTMLParser.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/parser/HtmlParsingUtils.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/parser/LagartoBasedHtmlParser.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/AbstractSamplerCreator.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/HttpRequestHdr.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/Proxy.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/ProxyControl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/SamplerCreatorFactory.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC3Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHCAbstractImpl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HttpWebdav.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/WebServiceSampler.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/ConversionUtils.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/HTTPArgument.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/WSDLHelper.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/accesslog/LogFilter.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/accesslog/SessionFilter.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/accesslog/TCLogParser.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/visualizers/RequestViewHTTP.java
    jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/config/gui/JavaConfigGui.java
    jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BSFSampler.java
    jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/BeanShellSampler.java
    jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/JSR223Sampler.java
    jmeter/trunk/src/protocol/java/org/apache/jmeter/protocol/java/sampler/JavaSampler.java
    jmeter/trunk/src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/AbstractJDBCTestElement.java
    jmeter/trunk/src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/config/DataSourceElement.java
    jmeter/trunk/src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/config/DataSourceElementBeanInfo.java
    jmeter/trunk/src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/sampler/JDBCSampler.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/client/ClientPool.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/client/InitialContextFactory.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/client/ReceiveSubscriber.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/JMSProperties.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/JMSSampler.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/MessageAdmin.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/PublisherSampler.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/config/gui/LDAPArguments.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/sampler/LDAPExtSampler.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/sampler/LDAPSampler.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/sampler/LdapClient.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/sampler/LdapExtClient.java
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/mail/sampler/MailReaderSampler.java
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/smtp/sampler/SmtpSampler.java
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/smtp/sampler/gui/SmtpPanel.java
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/smtp/sampler/protocol/SendMailCommand.java
    jmeter/trunk/src/protocol/mongodb/org/apache/jmeter/protocol/mongodb/mongo/MongoUtils.java
    jmeter/trunk/src/protocol/native/org/apache/jmeter/protocol/system/SystemSampler.java
    jmeter/trunk/src/protocol/tcp/org/apache/jmeter/protocol/tcp/sampler/TCPSampler.java
Comment 9 Graham Russell 2015-08-23 12:14:45 UTC
Created attachment 33027 [details]
Replaced some while loops with foreach

Much smaller patch this time, aimed at replacing some iterators + while loops with for each loops.
Comment 10 Felix Schumacher 2015-08-23 13:21:01 UTC
Thanks for the patch.

Please address only one issue at a time in a patch. This patch addressed javadoc, removal of unused comments and the conversion of for loops.

Please note also, that we don't use *-imports.

Date: Sun Aug 23 12:29:44 2015
New Revision: 1697173

URL: http://svn.apache.org/r1697173
Log:
Add javadocs. Part of a patch by Graham Russel about converting to for loops.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/assertions/SMIMEAssertion.java

Date: Sun Aug 23 12:34:57 2015
New Revision: 1697174

URL: http://svn.apache.org/r1697174
Log:
Remove log statements, that were commented out.
Part of a patch about converting to for loops by Graham Russel.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/control/IncludeController.java

Date: Sun Aug 23 13:16:41 2015
New Revision: 1697178

URL: http://svn.apache.org/r1697178
Log:
Convert to for loops. Patch by Graham Russel.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/assertions/SMIMEAssertion.java
    jmeter/trunk/src/components/org/apache/jmeter/control/IncludeController.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/PropertyControlGui.java
Comment 11 Graham Russell 2015-08-23 21:39:48 UTC
Created attachment 33028 [details]
Old for loop to for each loops (part 1)

Thanks for merging.

I've tried to keep the following patches smaller and more targeted although I have formatted code inside the new for loop and also renamed a variable which was also part of the loop as I don't feel these warrant a separate patch?

Sorry about the * import have changed my IDE settings.

These patches replace old style for loops with new style for each.
Finally, just a minor point for the commit messages Felix, are you able to correct the spelling of my name?

Thanks.
Comment 12 Graham Russell 2015-08-23 22:50:25 UTC
Created attachment 33029 [details]
Old for loop to for each loops (part 2)

Part 2.

Still about 2 more patches to go on this - I will try to do these this week if I get time. I also noticed a spelling mistake of resources in JLabeledRadioI18N but didn't change them in this patch as they were in lots of places not just used by the for loops.
Comment 13 Graham Russell 2015-08-24 20:20:02 UTC
Created attachment 33034 [details]
Convert old style for loop into for each loops (part 3)

This one is a slightly bigger patch, was just keeping everything inside org.apache.jmeter.protocol together.
Comment 14 Graham Russell 2015-08-24 21:54:07 UTC
Created attachment 33035 [details]
Convert old style for loop into for each loops (part 4)

Mainly methods in core.
Comment 15 Graham Russell 2015-08-24 21:54:39 UTC
Created attachment 33036 [details]
Convert old style for loop into for each loops (part 5)

Almost there.
Comment 16 Graham Russell 2015-08-24 21:55:19 UTC
Created attachment 33037 [details]
Convert old style for loop into for each loops (part 6)

In test code.
Comment 17 Felix Schumacher 2015-08-27 20:23:09 UTC
As Milamber noted, there were also a few minor formatting changes and one renaming of a local variable (varnames => varNames).

Date: Thu Aug 27 18:40:51 2015
New Revision: 1698206

URL: http://svn.apache.org/r1698206
Log:
Replace old style for loops. Patch contributed Graham Russell.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/AxisGraph.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/CharFunction.java
    jmeter/trunk/src/jorphan/org/apache/commons/cli/avalon/CLArgsParser.java
    jmeter/trunk/src/junit/org/apache/jmeter/protocol/java/control/gui/ClassFilter.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/AjpSampler.java
    jmeter/trunk/src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/AbstractJDBCTestElement.java
Comment 18 Sebb 2015-08-28 11:08:28 UTC
URL: http://svn.apache.org/r1698305
Log:
Require a minimum of Java 7
Redundant specification of type arguments
Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/engine/StandardJMeterEngine.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/collections/HashTree.java
    jmeter/trunk/test/src/org/apache/jmeter/JMeterVersionTest.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestLoopController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestRandomOrderController.java
    jmeter/trunk/test/src/org/apache/jmeter/control/TestSwitchController.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/DistributedRunnerTest.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/util/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/engine/util/TestValueReplacer.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/PackageTest.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestJexlFunction.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestRegexFunction.java
    jmeter/trunk/test/src/org/apache/jmeter/functions/TestTimeFunction.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/action/TestLoad.java
    jmeter/trunk/test/src/org/apache/jmeter/gui/util/JSyntaxTextAreaTest.java
    jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTest.java
    jmeter/trunk/test/src/org/apache/jmeter/junit/JMeterTestCase.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/control/TestCacheManager.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/parser/TestHTMLParser.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/sampler/PostWriterTest.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/TestHTTPFileArgs.java
    jmeter/trunk/test/src/org/apache/jmeter/resources/PackageTest.java
    jmeter/trunk/test/src/org/apache/jorphan/collections/PackageTest.java
    jmeter/trunk/test/src/org/apache/jorphan/exec/TestKeyToolUtils.java
Comment 19 Felix Schumacher 2015-08-30 13:35:07 UTC
Applied most of part 2 and part 3.

Did not apply the usage of Arrays.asList to simplify filling of a linked list and conversion of tests using indexOf to contains.

For first one I believe it would take more memory, since the list would have to be constructed instead of simple using the already existing array.

For the second one I don't see the need.

Again thanks for the patch (while you really should try to separate space-changes and logic modifications).

Date: Sun Aug 30 13:12:16 2015
New Revision: 1700116

URL: http://svn.apache.org/r1700116
Log:
Convert to for-loop. Based on Patch part 2 from Graham Russell.
It contains one renaming of a local variable from laf to a menuItem and a bit of white space policeing.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/JMeter.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/FileListPanel.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JLabeledRadioI18N.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterToolBar.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/MenuFactory.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/JLabeledChoice.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/JLabeledTextArea.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/gui/JLabeledTextField.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/ClassFinder.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/Functor.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/util/JOrphanUtils.java

Date: Sun Aug 30 13:13:39 2015
New Revision: 1700117

URL: http://svn.apache.org/r1700117
Log:
Whitespace police. Part of patch (part 2) from Graham Russell.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/JMeter.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java

Date: Sun Aug 30 13:14:39 2015
New Revision: 1700118

URL: http://svn.apache.org/r1700118
Log:
Use Collections#addAll instead of adding elements by hand. Part of patch (part 2) from Graham Russell.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/ClassFinder.java

Date: Sun Aug 30 13:27:25 2015
New Revision: 1700120

URL: http://svn.apache.org/r1700120
Log:
Convert to for-loops. Patch based on part 3 from Graham Russell.
Contains a few whitespace changes.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/junit/org/apache/jmeter/protocol/java/control/gui/JUnitTestSamplerGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/config/MultipartUrlConfig.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/Proxy.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/ProxyControl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC3Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSampleResult.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/WSDLHelper.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/accesslog/LogFilter.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/accesslog/StandardGenerator.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/visualizers/RequestViewHTTP.java
    jmeter/trunk/src/protocol/ldap/org/apache/jmeter/protocol/ldap/sampler/LDAPExtSampler.java
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/smtp/sampler/gui/SmtpPanel.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/parser/TestHTMLParser.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/accesslog/TestLogFilter.java
    jmeter/trunk/test/src/org/apache/jorphan/test/AllTests.java

Date: Sun Aug 30 13:28:48 2015
New Revision: 1700121

URL: http://svn.apache.org/r1700121
Log:
Whitespace changes from part 3 of the patches by Graham Russell.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/src/junit/org/apache/jmeter/protocol/java/control/gui/JUnitTestSamplerGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/config/MultipartUrlConfig.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/ProxyControl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/WSDLHelper.java
    jmeter/trunk/test/src/org/apache/jmeter/protocol/http/util/accesslog/TestLogFilter.java
Comment 20 Felix Schumacher 2015-08-31 18:11:53 UTC
Date: Mon Aug 31 18:11:28 2015
New Revision: 1700287

URL: http://svn.apache.org/r1700287
Log:
Minimum version of java is 7 now.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/xdocs/download_jmeter.xml
    jmeter/trunk/xdocs/usermanual/get-started.xml
Comment 21 Andrey Pokhilko 2015-08-31 18:21:31 UTC
Just in case, I hope shell scripts in bin are not forgotten to update minimal java requirement.
Comment 22 Felix Schumacher 2015-08-31 18:35:05 UTC
Date: Mon Aug 31 18:34:18 2015
New Revision: 1700294

URL: http://svn.apache.org/r1700294
Log:
Update jmeter start skripts to force a minimum of java 7. Thanks Andrey for reminding.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/bin/jmeter
    jmeter/trunk/bin/jmeter.sh
Comment 23 Andrey Pokhilko 2015-08-31 18:53:46 UTC
.bat files for windows should be updated, too ;)
Comment 24 Felix Schumacher 2015-08-31 19:01:51 UTC
I was so sure, I updated the windows bat file...

The cmd files seems to have no check.

Date: Mon Aug 31 18:59:24 2015
New Revision: 1700299

URL: http://svn.apache.org/r1700299
Log:
Update windows jmeter start script to force a minimum of java 7. Thanks Andrey for reminding - again.

Bugzilla Id: 57981

Modified:
    jmeter/trunk/bin/jmeter.bat
Comment 25 Graham Russell 2015-09-02 22:20:51 UTC
Felix, thanks again for applying the patches.

Regarding the two bits from patches 2&3 you did not apply:

- the usage of Arrays.asList to simplify filling of a linked list:
-- I don't believe this would add much in the way of memory usage as the Arrays.asList is O(1) as it just wraps the existing array. I think this is cleaner code than the for loop.

- and conversion of tests using indexOf to contains:
-- This is a better use of the Java API in my opinion because contains is the exact intent whereas indexOf checking is code used before 1.5 (when contains was introduced).
Comment 26 Philippe Mouawad 2015-11-15 17:13:31 UTC
Author: pmouawad
Date: Sun Nov 15 17:12:57 2015
New Revision: 1714469

URL: http://svn.apache.org/viewvc?rev=1714469&view=rev
Log:
Bug 57981 - Require a minimum of Java 7
Use Java7 resource management
Bugzilla Id: 57981
Comment 27 Felix Schumacher 2015-11-15 20:55:54 UTC
Date: Sun Nov 15 20:49:56 2015
New Revision: 1714498

URL: http://svn.apache.org/viewvc?rev=1714498&view=rev
Log:
Followup to r1714469. Close BufferedReader on all possible paths.
Plus space-police.

Bugzilla Id: 57981
Comment 28 Philippe Mouawad 2016-02-10 21:06:56 UTC
Date: Wed Feb 10 20:58:16 2016
New Revision: 1729731

URL: http://svn.apache.org/viewvc?rev=1729731&view=rev
Log:
Use multi-catch where possible
Patch by Graham Russell PART 1
https://github.com/apache/jmeter/pull/110

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RespTimeGraphChart.java
    jmeter/trunk/src/core/org/apache/jmeter/functions/gui/FunctionHelper.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/AddToTree.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/FileRowColContainer.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/FileWrapper.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/XPathFileContainer.java
    jmeter/trunk/src/functions/org/apache/jmeter/functions/XPathWrapper.java
    
Date: Wed Feb 10 20:59:37 2016
New Revision: 1729732

URL: http://svn.apache.org/viewvc?rev=1729732&view=rev
Log:
Use multi-catch where possible
Patch by Graham Russell PART 2
https://github.com/apache/jmeter/pull/110

Modified:
    jmeter/trunk/src/jorphan/org/apache/jorphan/logging/LoggingManager.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/ClassFinder.java
    jmeter/trunk/src/jorphan/org/apache/jorphan/reflect/ClassTools.java
    jmeter/trunk/src/junit/org/apache/jmeter/protocol/java/sampler/JUnitSampler.java
    jmeter/trunk/src/monitor/model/org/apache/jmeter/monitor/parser/ParserImpl.java
    
    
Date: Wed Feb 10 21:01:20 2016
New Revision: 1729733

URL: http://svn.apache.org/viewvc?rev=1729733&view=rev
Log:
Use multi-catch where possible
Patch by Graham Russell PART 3
https://github.com/apache/jmeter/pull/110

Modified:
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/client/InitialContextFactory.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/JMSSampler.java
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/SubscriberSampler.java
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/mail/sampler/MailReaderSampler.java
    jmeter/trunk/src/protocol/mail/org/apache/jmeter/protocol/smtp/sampler/SmtpSampler.java
    
Date: Wed Feb 10 21:02:03 2016
New Revision: 1729734

URL: http://svn.apache.org/viewvc?rev=1729734&view=rev
Log:
Use multi-catch where possible
Patch by Graham Russell PART 4
https://github.com/apache/jmeter/pull/110

Modified:
    jmeter/trunk/test/src/org/apache/jmeter/visualizers/GenerateTreeGui.java
    jmeter/trunk/test/src/org/apache/jorphan/test/AllTests.java
    
Date: Wed Feb 10 21:05:37 2016
New Revision: 1729736

URL: http://svn.apache.org/viewvc?rev=1729736&view=rev
Log:
Use multi-catch where possible
Patch by Graham Russell PART 5
https://github.com/apache/jmeter/pull/110
#resolve #110

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/HC3CookieHandler.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/HttpMirrorThread.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/parser/HTMLParser.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/parser/RegexpHTMLParser.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/ProxyControl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/AccessLogSampler.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HttpClientDefaultParameters.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/WSDLHelper.java
Comment 29 Graham Russell 2016-02-10 21:52:48 UTC
Thank you for including this Philippe. I have another PR related to for loops which I am about to submit, or, would patches here be preferred?
Comment 30 Philippe Mouawad 2016-02-10 21:57:57 UTC
Hi, 
Thanks to you for your contributions.
I prefer PR .

Regards
Philippe
Comment 31 Sebb 2016-04-02 08:18:09 UTC
URL: http://svn.apache.org/viewvc?rev=1737468&view=rev
Log:
ThreadLocalRandom is now part of the JVM (the source file has been deleted)
Bugzilla Id: 57981

Removed:
    jmeter/trunk/licenses/src/ThreadLocalRandom.txt